POST api/witnessapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

WitnessViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

id

globally unique identifier

None.

date_hu

date

None.

local_update

date

None.

site_id

globally unique identifier

Required

status

integer

None.

wash_count

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "id": "2c8cc0a5-fb24-4bb3-80aa-6549986fc83c",
  "date_hu": "2026-10-04T06:54:46.3466928+00:00",
  "local_update": "2026-10-04T06:54:46.3466928+00:00",
  "site_id": "d64cdefa-eb58-4fb4-8b51-fcc3ceccc7ac",
  "status": 1,
  "wash_count": 1
}

application/xml, text/xml

Sample:
<witness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <date_hu>2026-10-04T06:54:46.3466928+00:00</date_hu>
  <id>2c8cc0a5-fb24-4bb3-80aa-6549986fc83c</id>
  <local_update>2026-10-04T06:54:46.3466928+00:00</local_update>
  <site_id>d64cdefa-eb58-4fb4-8b51-fcc3ceccc7ac</site_id>
  <status>1</status>
  <wash_count>1</wash_count>
</witness>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'WitnessViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"720a63f7-0f5f-4cf2-83cb-fb2e581fd97f"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">720a63f7-0f5f-4cf2-83cb-fb2e581fd97f</guid>